using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.InteropServices;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp6
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string s = Console.ReadLine();
            string[] red = s.Split(' ');
            long visina= long.Parse(red[1]);
            s = Console.ReadLine();
            red = s.Split(' ');
            bool ispisano = false;
            for (int i = 0; i < red.Length; i++)
                if (long.Parse(red[i]) <= visina && ispisano == false) { Console.WriteLine(i + 1);  ispisano = true;  }
                else if ( i== red.Length-1 && ispisano==false) Console.WriteLine(-1);
        }
    }
}